开发者社区> 问答> 正文

node-MongoDB版本升级导致MongoDB.open报错,返回500错误

李博 bluemind 2019-04-09 13:37:02 237

题主去年使用node - express - MongoDB 开发了一个简单的公司内部网站,昨天手贱升级了npm包,结果导致MongoDB.open这里直接报错,返回500错误,并且没有任何的错误提示;后来反复查找问题,终于将问题定位到了node-MongoDB的版本上;在升级前,node-MongoDB版本是1.4.1,升级后为3.*;最后将版本降级,果然500问题解决了。
想问问大家有没有遇到过同样的问题,除了降级外,是如何解决这个问题的;先谢谢大家了!

本问题及下方已被采纳的回答均来自云栖社区【Redis&MongoDB 社区大群】。https://yq.aliyun.com/articles/690084 点击链接欢迎加入社区大社群。

NoSQL MongoDB
分享到
取消 提交回答
全部回答(1)
  • 李博 bluemind
    2019-07-17 23:32:58

    了解一下版本号命名规则,通常来说大版本号(第一位)升级是不向下兼容的。你这里跳了2个版本,所以……
    没有看到具体代码也没看到错误消息,不知道问题在哪里。建议自己查一下新的API文档。

    0 0
+ 订阅

分享数据库前沿,解构实战干货,推动数据库技术变革

推荐文章
相似问题
推荐课程